/*
 * PotentialDeserializer.hpp
 *
 *  Created on: 09.05.2013
 *      Author: heber
 */

#ifndef POTENTIALDESERIALIZER_HPP_
#define POTENTIALDESERIALIZER_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iosfwd>

class PotentialDeserializer
{
public:
  /** Constructor for class PotentialDeserializer.
   *
   */
  PotentialDeserializer(std::istream &_serialized) :
    serialized(_serialized)
  {}

  /** Destructor for class PotentialDeserializer.
   *
   */
  ~PotentialDeserializer()
  {}

  /** Parses the internally stored input stream for potentials.
   *
   */
  void operator()();

private:
  std::istream &serialized;
};

#endif /* POTENTIALDESERIALIZER_HPP_ */
